### Function

# GioUnix mount_is_system_internal

deprecated: 2.84

#### Declaration [src]

    gboolean
    g_unix_mount_is_system_internal (
      GUnixMountEntry* mount_entry
    )

#### Description [src]

Checks if a Unix mount is a system mount.

This is the Boolean OR of `g_unix_is_system_fs_type()`, `g_unix_is_system_device_path()` and `g_unix_is_mount_path_system_internal()` on `mount_entry`’s properties.

The definition of what a ‘system’ mount entry is may change over time as new file system types and device paths are ignored.

Deprecated since: 2.84

Use `g_unix_mount_entry_is_system_internal()` instead.

#### Parameters

`mount_entry`

  Type: `GUnixMountEntry`

  A `GUnixMountEntry`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if the Unix mount is for a system path; false otherwise.